Skip to main content
POST
Create an ICMP monitor

Authorizations

Authorization
string
header
required

The Checkly Public API uses API keys to authenticate requests. You can get the API Key here. Your API key is like a password: keep it secure! Authentication to the API is performed using the Bearer auth method in the Authorization header and using the account ID. For example, set Authorization header while using cURL: curl -H "Authorization: Bearer [apiKey]" "X-Checkly-Account: [accountId]"

Headers

x-checkly-account
string<uuid>

Your Checkly account ID, you can find it at https://app.checklyhq.com/settings/account/general

Query Parameters

autoAssignAlerts
boolean
default:true

Determines whether a new check will automatically be added as a subscriber to all existing alert channels when it gets created.

Body

application/json
name
string
required
Minimum string length: 1
request
object
required
activated
boolean
default:true
muted
boolean
default:false
doubleCheck
boolean
default:true
shouldFail
boolean
default:false
locations
enum<string>[] | null
Available options:
us-east-1,
us-east-2,
us-west-1,
us-west-2,
ca-central-1,
sa-east-1,
eu-west-1,
eu-central-1,
eu-west-2,
eu-west-3,
eu-north-1,
eu-south-1,
me-south-1,
ap-southeast-1,
ap-northeast-1,
ap-east-1,
ap-southeast-2,
ap-southeast-3,
ap-northeast-2,
ap-northeast-3,
ap-south-1,
af-south-1
tags
string[]
Minimum string length: 1
alertSettings
object
useGlobalAlertSettings
boolean
default:true
groupId
number | null
groupOrder
number | null
Required range: x >= 0
runtimeId
enum<string> | null
Available options:
2026.04,
2025.04,
2024.09,
2024.02,
2023.09,
2023.02,
2022.10,
null
alertChannelSubscriptions
object[]
retryStrategy
object | null
triggerIncident
object | null
runParallel
boolean
default:false
description
string | null
Maximum string length: 500
checkType
enum<string>
default:ICMP
Available options:
ICMP
frequency
enum<integer>
default:10
Available options:
0,
1,
2,
5,
10,
15,
30,
60,
120,
180,
360,
720,
1440
frequencyOffset
integer
Required range: x >= 1
heartbeat
object | null
script
string | null
scriptPath
string | null
Minimum string length: 1
sslCheckDomain
string | null
environmentVariables
object[] | null
Maximum array length: 100
setupSnippetId
number | null
tearDownSnippetId
number | null
localSetupScript
string | null
localTearDownScript
string | null
degradedResponseTime
number | null
default:10000
Required range: 0 <= x <= 300000
maxResponseTime
number | null
default:20000
Required range: 0 <= x <= 300000
degradedPacketLossThreshold
number | null
default:10
Required range: 0 < x <= 100
maxPacketLossThreshold
number | null
default:20
Required range: 0 < x <= 100
privateLocations
string[] | null
Minimum string length: 1

Response

Created

name
string
required
Minimum string length: 1
activated
boolean
default:true
muted
boolean
default:false
doubleCheck
boolean
default:true
shouldFail
boolean
default:false
locations
enum<string>[] | null
Available options:
us-east-1,
us-east-2,
us-west-1,
us-west-2,
ca-central-1,
sa-east-1,
eu-west-1,
eu-central-1,
eu-west-2,
eu-west-3,
eu-north-1,
eu-south-1,
me-south-1,
ap-southeast-1,
ap-northeast-1,
ap-east-1,
ap-southeast-2,
ap-southeast-3,
ap-northeast-2,
ap-northeast-3,
ap-south-1,
af-south-1
tags
string[]
Minimum string length: 1
alertSettings
object | null
useGlobalAlertSettings
boolean
default:true
groupId
number | null
groupOrder
number | null
Required range: x >= 0
runtimeId
enum<string> | null
Available options:
2026.04,
2025.04,
2024.09,
2024.02,
2023.09,
2023.02,
2022.10,
null
alertChannelSubscriptions
object[]
retryStrategy
object | null
triggerIncident
object | null
runParallel
boolean
default:false
description
string | null
Maximum string length: 500
id
string
created_at
string<date-time>
updated_at
string<date-time> | null
alertChannels
object | null
project
object | null

The project that manages this check, or null when the check is not managed by code.

logicalId
string | null

The check's logical ID within the managing project, or null when it is not managed by code.

member
boolean | null

True when the project owns this check, false when it merely references a check owned outside the project. Null when not managed by code.

pending
boolean | null

True when the binding is reserved by an import plan that has not been deployed yet. Null when not managed by code.

privateLocations
string[] | null
Minimum string length: 1
frequency
enum<integer>
default:10
Available options:
0,
1,
2,
5,
10,
15,
30,
60,
120,
180,
360,
720,
1440
frequencyOffset
integer
Required range: x >= 1
checkType
enum<string>
Available options:
ICMP
request
object
degradedPacketLossThreshold
number | null
maxPacketLossThreshold
number | null